Skip to main content
GET
/
api
/
v1.0
/
qris-dynamic
/
{account_id}
/
show
/
{id}
Show
curl --request GET \
  --url https://sandbox-payment-b2b.singapay.id/api/v1.0/qris-dynamic/{account_id}/show/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-PARTNER-ID: <api-key>'
{
  "status": 200,
  "success": true,
  "data": {
    "id": 103,
    "reff_no": "INV20240513001",
    "merchant_reff_no": "INV20240513001",
    "status": "open",
    "status_computed": "open",
    "is_expired": false,
    "qr_data": "00020101021226620015ID.SINGAPAY.WWW...",
    "kind": "on-us",
    "type": "mpm-dynamic",
    "amount": 10000,
    "total_amount": 10000,
    "mdr_percentage": 1.5,
    "mdr_cost": 150,
    "our_margin": 50,
    "vendor_fee": 150,
    "settled_to_merchant_amount": 9750,
    "acquirer_name": "SingaPay",
    "acquirer_nns": "1234567890",
    "issuer_name": "SingaPay",
    "issuer_nns": "1234567890",
    "customer_pan": "1234567890",
    "customer_name": "John Doe",
    "customer_account_type": "UNSPECIFIED",
    "customer_data": {
      "pan": "1234567890",
      "name": "John Doe",
      "account_type": "UNSPECIFIED"
    },
    "has_reconcile": false,
    "reconcile_at": "2024-05-13T00:00:00Z",
    "reconcile_by": "SYSTEM",
    "had_settled_to_merchant": false,
    "settled_to_merchant_at": "2024-05-13T00:00:00Z",
    "has_settle": false,
    "settle_at": "2024-05-13T00:00:00Z",
    "created_at": "2024-05-13T00:00:00Z",
    "updated_at": "2024-05-13T00:00:00Z",
    "expired_at": "2024-05-13T00:00:00Z",
    "deleted_at": "2024-05-13T00:00:00Z",
    "events_count": 1
  }
}

Authorizations

Authorization
string
header
required

JWT issued by POST /api/v1.1/access-token/b2b. Send Authorization: Bearer <token>.

X-PARTNER-ID
string
header
required

Merchant API key (Credential.api_key). Required on every request.

Path Parameters

account_id
string
required

Account identifier in ULID format.

id
integer
required

QRIS transaction identifier (qris_transactions.id). Use this value in path parameters.

Response

Success

status
integer
required

HTTP status code.

Example:

200

success
boolean
required

Indicates whether the request was successful.

Example:

true

data
object
required

QRIS transaction resource payload.